org.jboss.jca.as.converters.wls.api.metadata

## Enum ResourceAdapterSecurity.Tag

- java.lang.Object
- - java.lang.Enum<ResourceAdapterSecurity.Tag>
  - - org.jboss.jca.as.converters.wls.api.metadata.ResourceAdapterSecurity.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResourceAdapterSecurity.Tag>
  Enclosing interface:
    ResourceAdapterSecurity

      public static enum ResourceAdapterSecurity.Tag
      extends java.lang.Enum<ResourceAdapterSecurity.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT_PRINCIPAL_NAME` default-principal-name tag
    `MANAGE_AS_PRINCIPAL_NAME` manage-as-principal-name tag
    `RUN_AS_PRINCIPAL_NAME` run-as-principal-name tag
    `RUN_WORK_AS_PRINCIPAL_NAME` run-work-as-principal-name tag
    `SECURITY_WORK_CONTEXT` security-work-context tag
    `UNKNOWN` always first

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceAdapterSecurity.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static ResourceAdapterSecurity.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResourceAdapterSecurity.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ResourceAdapterSecurity.Tag UNKNOWN

      always first

    - #### DEFAULT_PRINCIPAL_NAME

          public static final ResourceAdapterSecurity.Tag DEFAULT_PRINCIPAL_NAME

      default-principal-name tag

    - #### MANAGE_AS_PRINCIPAL_NAME

          public static final ResourceAdapterSecurity.Tag MANAGE_AS_PRINCIPAL_NAME

      manage-as-principal-name tag

    - #### RUN_AS_PRINCIPAL_NAME

          public static final ResourceAdapterSecurity.Tag RUN_AS_PRINCIPAL_NAME

      run-as-principal-name tag

    - #### RUN_WORK_AS_PRINCIPAL_NAME

          public static final ResourceAdapterSecurity.Tag RUN_WORK_AS_PRINCIPAL_NAME

      run-work-as-principal-name tag

    - #### SECURITY_WORK_CONTEXT

          public static final ResourceAdapterSecurity.Tag SECURITY_WORK_CONTEXT

      security-work-context tag

  - ### Method Detail

    - #### values

          public static ResourceAdapterSecurity.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceAdapterSecurity.Tag c : ResourceAdapterSecurity.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceAdapterSecurity.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ResourceAdapterSecurity.Tag>`

    - #### forName

          public static ResourceAdapterSecurity.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)